首页 更多正文

Windows下python pip install scrapy失败

森林火 更多 2020-04-27 638 0

今天打开pycharm创建了一个python3.8的虚拟环境,然后使用命令pip install scrapy结果失败了,报一下错误:

  Could not find a version that satisfies the requirement cffi!=1.11.3,>=1.8 (from versions: )

No matching distribution found for cffi!=1.11.3,>=1.8

You are using pip version 10.0.1, however version 20.1b1 is available.

You should consider upgrading via the 'python -m pip install --upgrade pip' command.

image.png


坎坷路:

安装失败,根据提示升级pip:python -m pip install --upgrade pip 结果升级失败了!

image.png


然后又用命令:python -m pip install -U pip 还是失败。。。


最后成功:

使用命令重新安装pip:python -m pip install --upgrade pip --force-reinstall

然后安装scrapy:pip install scrapy


成功!



image.png

版权声明

本文仅代表作者观点,不代表本站立场。
本文系作者授权发表,未经许可,不得转载。

评论